Groovy Documentation

## org.codehaus.groovy.grails.plugins.web.mimes
[Groovy] Class MimeTypesGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.mimes.MimeTypesGrailsPlugin

    class MimeTypesGrailsPlugin

Provides content negotiation capabilities to Grails via a new withFormat method on controllers as well as a format property on the HttpServletRequest instance.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `doWithDynamicMethods`
`java.lang.Object` | `observe`
`java.lang.Object` | `onChange`
`java.lang.Object` | `version`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### dependsOn

    java.lang.Object dependsOn

### doWithDynamicMethods

    java.lang.Object doWithDynamicMethods

### observe

    java.lang.Object observe

### onChange

    java.lang.Object onChange

### version

    java.lang.Object version

Groovy Documentation